> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Ledger

> Deletes a Ledger and optionally its associated journal entries.  By default, ledgers with line entries cannot be deleted. Set delete_journal_entries=true to delete the ledger along with: - All journal entries that have line entries on this ledger - All line entries in those journal entries - All reconciliations for this ledger - The source account (if not linked to Plaid) - Historical ledger balances  Note: This operation is irreversible. Special ledgers (e.g., uncategorized inflow/outflow) cannot be deleted.



## OpenAPI

````yaml DELETE /v0/ledgers/{ledger_id}
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/ledgers/{ledger_id}:
    delete:
      tags:
        - Ledgers
      summary: Delete a Ledger
      description: >-
        Deletes a Ledger and optionally its associated journal entries.


        By default, ledgers with line entries cannot be deleted. Set
        delete_journal_entries=true

        to delete the ledger along with:

        - All journal entries that have line entries on this ledger

        - All line entries in those journal entries

        - All reconciliations for this ledger

        - The source account (if not linked to Plaid)

        - Historical ledger balances


        Note: This operation is irreversible. Special ledgers (e.g.,
        uncategorized inflow/outflow)

        cannot be deleted.
      operationId: delete_ledger_v0_ledgers__ledger_id__delete
      parameters:
        - name: ledger_id
          in: path
          required: true
          schema:
            type: string
            description: The ledger ID
            title: Ledger Id
          description: The ledger ID
        - name: delete_journal_entries
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Whether to delete journal entries associated with this ledger.
              When true, deletes all journal entries containing line entries on
              this ledger, along with reconciliations and the source account.
              This operation is irreversible.
            default: false
            title: Delete Journal Entries
          description: >-
            Whether to delete journal entries associated with this ledger. When
            true, deletes all journal entries containing line entries on this
            ledger, along with reconciliations and the source account. This
            operation is irreversible.
        - name: teal-instance-id
          in: header
          required: true
          schema:
            type: string
            description: The Teal instance ID
            title: Teal-Instance-Id
          description: The Teal instance ID
      responses:
        '204':
          description: Successful Response
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_datetime_opening_balance
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````